<!DOCTYPE html>
<html lang="uk">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Встановити самопідписаний сертифікат</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Встановити самопідписаний сертифікат</h1>
		<p>Для використання цього додатку, вам потрібно встановити самопідписаний SSL сертифікат.</p>

		<section on-platform="win">
			<h2>Інструкції для Windows</h2>
			<ol>
				<li>Двічі клацніть на файл <a href="#server.cert">server.cert</a>, щоб відкрити майстер встановлення сертифіката.</li>
				<li>Виберіть "Встановити сертифікат" і виберіть "Локальна машина".</li>
				<li>Виберіть "Помістити всі сертифікати в наступне сховище" і виберіть "Довірені кореневі центри сертифікації".</li>
				<li>Завершіть роботу майстра і підтвердіть встановлення.</li>
				<li>Перезапустіть nan•web застосунок</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Інструкції для Mac</h2>
			<ol>
				<li>Відкрийте додаток Keychain Access.</li>
				<li>Перетягніть файл <a href="#server.cert">server.cert</a> в зв'язку "System".</li>
				<li>Знайдіть сертифікат у списку <code>localhost</code>, двічі клацніть по ньому і розгорніть розділ "Trust".</li>
				<li>Встановіть "When using this certificate" на "Always Trust".</li>
				<li>Перезапустіть nan•web застосунок</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Інструкції для Linux</h2>
			<ol>
				<li>Скопіюйте сертифікат до директорії <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Оновіть сертифікати CA:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Перезапустіть nan•web застосунок</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
